"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _BarneyBox = _interopRequireDefault(require("@instructure/quiz-common/lib/components/BarneyBox"));

var _Heading = _interopRequireDefault(require("@instructure/ui-elements/lib/components/Heading"));

var _uiIcons = require("@instructure/ui-icons");

var _CloseButton = _interopRequireDefault(require("@instructure/ui-buttons/lib/components/CloseButton"));

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _ref =
/*#__PURE__*/
_react.default.createElement(_uiIcons.IconEyeSolid, {
  variant: "icon-inverse"
});

var PreviewFrame =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(PreviewFrame, _Component);

  function PreviewFrame() {
    (0, _classCallCheck2.default)(this, PreviewFrame);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(PreviewFrame).apply(this, arguments));
  }

  (0, _createClass2.default)(PreviewFrame, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_BarneyBox.default, {
        screenReaderText: "\u73FE\u5728\u306F\u30D7\u30EC\u30D3\u30E5\u30FC\u30E2\u30FC\u30C9\u306B\u306A\u3063\u3066\u3044\u307E\u3059\u3002"
      }, _react.default.createElement(_BarneyBox.default.Body, null, this.props.children), _react.default.createElement(_BarneyBox.default.Footer, null, _react.default.createElement(_Heading.default, {
        level: "h4",
        color: "primary-inverse"
      }, _ref, " \xA0", "\u30D7\u30EC\u30D3\u30E5\u30FC"), _react.default.createElement(_CloseButton.default, {
        onClick: this.props.onPreviewClose,
        variant: "icon-inverse"
      }, "\u9589\u3058\u308B")));
    }
  }]);
  PreviewFrame.displayName = "PreviewFrame";
  return PreviewFrame;
}(_react.Component);

exports.default = PreviewFrame;
PreviewFrame.propTypes = {
  children: _propTypes.default.element.isRequired,
  onPreviewClose: _propTypes.default.func.isRequired
};